aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_rebind.sh
diff options
context:
space:
mode:
authorrl1987 <rl1987@sdf.lonestar.org>2018-08-18 16:29:46 +0300
committerNick Mathewson <nickm@torproject.org>2018-09-12 09:06:16 -0400
commitd30e47fd4e1ff01171319ef9b955a7495510a768 (patch)
tree75927c7449f79093eaabcfddcd8fdbf8cb67b9f5 /src/test/test_rebind.sh
parent5a11670fcaad0a58de48425ba80510effbe35628 (diff)
downloadtor-d30e47fd4e1ff01171319ef9b955a7495510a768.tar.gz
tor-d30e47fd4e1ff01171319ef9b955a7495510a768.zip
Disable test_rebind.sh on Windows
Diffstat (limited to 'src/test/test_rebind.sh')
-rwxr-xr-xsrc/test/test_rebind.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index 2e18f9c979..a81f1b569e 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -2,6 +2,14 @@
set -x
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+ test "$UNAME_OS" = 'MSYS' || \
+ test "$UNAME_OS" = 'MINGW'; then
+ echo "This test is disabled on Windows CI, as it requires firewall examptions. Skipping." >&2
+ exit 77
+fi
+
exitcode=0
"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/test_rebind.py" "${TESTING_TOR_BINARY}" || exitcode=1